<!-- //Objects -->

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    

<script>
const product={
    name:'socks',
    price:233
}
console.log(product);
console.log(product.name);
console.log(product.price);

//adding new property to objects

procust.name = "cooton";
console.log(product)
products.newProperty = true;
console.log(product);

//delete property
delete product.name;
delete procudt.newProperty;
console.log(product);

const product2 = {
    name: "shirt",
    [price-one]:222,
    ratings:{
        stars:4.5,
        count:87
    }
}

//accessing values of objects

//bracet  notation when we have abc-xyz, num,etx
console.log(praoduct2[price-one]);      //bracket notation
console.log(praoduct2.ratings.count);  // dot notation //default 


// json strigify==========================

// to convert anything into the string
// specially to convert js object into string so its syntax will be same as json
//json syntax- key n values both shoild be in " " if they are strng
console.log(json.stringify(product2));

console.log(typeof json.stringify(product2)); //string

// to convert it in previous data type
//json parse

console.log(json.parse(product2));
</script>
</body>
</html>


 
